///////////////////////////////////////////////////////////////////////////////
//
/// \file       features.c
/// \brief      Information about features enabled at compile time
//
//  Copyright (C) 2007 Lasse Collin
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
///////////////////////////////////////////////////////////////////////////////

#include "common.h"


static const lzmaalpha_vli filters[] = {
#ifdef HAVE_FILTER_COPY
	LZMAALPHA_FILTER_COPY,
#endif

#ifdef HAVE_FILTER_SUBBLOCK
	LZMAALPHA_FILTER_SUBBLOCK,
#endif

#ifdef HAVE_FILTER_X86
	LZMAALPHA_FILTER_X86,
#endif

#ifdef HAVE_FILTER_POWERPC
	LZMAALPHA_FILTER_POWERPC,
#endif

#ifdef HAVE_FILTER_IA64
	LZMAALPHA_FILTER_IA64,
#endif

#ifdef HAVE_FILTER_ARM
	LZMAALPHA_FILTER_ARM,
#endif

#ifdef HAVE_FILTER_ARMTHUMB
	LZMAALPHA_FILTER_ARMTHUMB,
#endif

#ifdef HAVE_FILTER_SPARC
	LZMAALPHA_FILTER_SPARC,
#endif

#ifdef HAVE_FILTER_DELTA
	LZMAALPHA_FILTER_DELTA,
#endif

#ifdef HAVE_FILTER_LZMA
	LZMAALPHA_FILTER_LZMA,
#endif

	LZMAALPHA_VLI_VALUE_UNKNOWN
};


LZMA_API const lzmaalpha_vli *const lzmaalpha_available_filter_encoders = filters;

LZMA_API const lzmaalpha_vli *const lzmaalpha_available_filter_decoders = filters;
